> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post managementvoiceprovider accounts



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /management/voice/provider-accounts
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /management/voice/provider-accounts:
    post:
      tags:
        - Number
      operationId: management.voice-provider-accounts.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                provider:
                  type: string
                  enum:
                    - vapi
                    - millis
                    - eleven_labs
                username:
                  type: string
                concurrency_limit:
                  type:
                    - integer
                    - 'null'
                  minimum: 1
                is_personal:
                  type: boolean
                api_key:
                  type: string
              required:
                - provider
                - username
                - api_key
      responses:
        '201':
          description: '`VoiceProviderResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/VoiceProviderResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    VoiceProviderResource:
      type: object
      properties:
        id:
          type: string
        username:
          type:
            - string
            - 'null'
        name:
          type: string
        meta:
          type: array
          items: {}
        is_active:
          type: boolean
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
        concurrency_limit:
          type: integer
        is_personal:
          type: boolean
        numbers_count:
          type: integer
      required:
        - id
        - username
        - name
        - meta
        - is_active
        - created_at
        - updated_at
        - deleted_at
        - concurrency_limit
        - is_personal
        - numbers_count
      title: VoiceProviderResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````